SDL_HINT_WAVE_CHUNK_LIMIT(3)

NAME
SDL_HINT_WAVE_CHUNK_LIMIT - A variable controlling the maximum number of chunks in a WAVE file.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_WAVE_CHUNK_LIMIT SDL_WAVE_CHUNK_LIMIT"

DESCRIPTION
This sets an upper bound on the number of chunks in a WAVE file to avoid wasting time on malformed or corrupt WAVE files. This defaults to "10000".

This hint should be set before calling SDL_LoadWAV () or

SDL_LoadWAV_IO ()

AVAILABILITY
This hint is available since SDL 3.2.0.